## org.apache.batik.css.engine.sac
Class CSSPseudoElementSelector

    java.lang.Object
      org.apache.batik.css.engine.sac.AbstractElementSelector
          org.apache.batik.css.engine.sac.CSSPseudoElementSelector

All Implemented Interfaces:
  ExtendedSelector, org.w3c.css.sac.ElementSelector, org.w3c.css.sac.Selector, org.w3c.css.sac.SimpleSelector

    public class CSSPseudoElementSelector

extends AbstractElementSelector

This class implements the `ElementSelector` interface.

Field Summary

Fields inherited from class org.apache.batik.css.engine.sac.AbstractElementSelector
`localName, namespaceURI`

Fields inherited from interface org.w3c.css.sac.Selector
`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

Constructor Summary
`CSSPseudoElementSelector(java.lang.String uri, java.lang.String name)` Creates a new CSSPseudoElementSelector object.

Method Summary
`short` `getSelectorType()` SAC: Implements `Selector.getSelectorType()`.
`int` `getSpecificity()` Returns the specificity of this selector.
`boolean` `match(org.w3c.dom.Element e, java.lang.String pseudoE)` Tests whether this selector matches the given element.
`java.lang.String` `toString()` Returns a representation of the selector.

Methods inherited from class org.apache.batik.css.engine.sac.AbstractElementSelector
`equals, fillAttributeSet, getLocalName, getNamespaceURI`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CSSPseudoElementSelector

    public CSSPseudoElementSelector(java.lang.String uri,
                                    java.lang.String name)

  Creates a new CSSPseudoElementSelector object.

Method Detail

### getSelectorType

    public short getSelectorType()

  SAC: Implements `Selector.getSelectorType()`.

### match

    public boolean match(org.w3c.dom.Element e,
                         java.lang.String pseudoE)

  Tests whether this selector matches the given element.

### getSpecificity

    public int getSpecificity()

  Returns the specificity of this selector.

### toString

    public java.lang.String toString()

  Returns a representation of the selector.

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.